@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix tel: <http://osm.hpi.de/ontology/flexidug#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .

tel:Point a owl:Class ;
    rdfs:comment "A railway point."@en ;
    rdfs:subClassOf tel:Infrastructure .

tel:SignalNe1 a owl:Class ;
    rdfs:comment "A railway Ne1 (Trapeztafel) signal."@en ;
    rdfs:subClassOf tel:Infrastructure .

tel:SignalNe5 a owl:Class ;
    rdfs:comment "A railway Ne5 (Haltetafel) signal."@en ;
    rdfs:subClassOf tel:Infrastructure .

tel:TraciModel a owl:Class ;
    rdfs:comment "Traci model."@en ;
    rdfs:subClassOf tel:DataModel .

tel:automaticTrainDeregistration a owl:DatatypeProperty ;
    rdfs:domain tel:VoiceProtocolOptionsModel ;
    rdfs:range xsd:boolean .

tel:automaticTrainRegistration a owl:DatatypeProperty ;
    rdfs:domain tel:VoiceProtocolOptionsModel ;
    rdfs:range xsd:boolean .

tel:autoplay a owl:DatatypeProperty ;
    rdfs:domain tel:AutomaticTrainsModel ;
    rdfs:range xsd:boolean .

tel:direction a owl:DatatypeProperty ;
    rdfs:domain tel:RouteSection ;
    rdfs:range xsd:string .

tel:filename a owl:DatatypeProperty ;
    rdfs:domain tel:AutomaticTrainsModel,
        tel:PlanProModel ;
    rdfs:range xsd:string .

tel:fromSignal a owl:DatatypeProperty ;
    rdfs:domain tel:RouteSection ;
    rdfs:range xsd:string .

tel:hasDataModel a owl:ObjectProperty ;
    rdfs:domain owl:Thing ;
    rdfs:range tel:DataModel .

tel:hasInfrastructure a owl:ObjectProperty ;
    rdfs:domain tel:InfrastructureModel,
        tel:SimulatorModel ;
    rdfs:range tel:Infrastructure .

tel:hasRouteSection a owl:ObjectProperty ;
    rdfs:domain tel:Track ;
    rdfs:range tel:RouteSection ;
    rdfs:subPropertyOf rdf:li .

tel:hasStation a owl:ObjectProperty ;
    rdfs:domain tel:StationModel ;
    rdfs:range tel:Station .

tel:hasStopOverStation a owl:ObjectProperty ;
    rdfs:domain tel:Track ;
    rdfs:range tel:Station ;
    rdfs:subPropertyOf rdf:li .

tel:hasTrack a owl:ObjectProperty ;
    rdfs:domain tel:TrackModel ;
    rdfs:range tel:Track .

tel:identifier a owl:DatatypeProperty ;
    rdfs:domain tel:Infrastructure ;
    rdfs:range xsd:string .

tel:inStation a owl:ObjectProperty ;
    rdfs:domain tel:RouteSection ;
    rdfs:range tel:Station .

tel:stationName a owl:DatatypeProperty ;
    rdfs:domain tel:Station ;
    rdfs:range xsd:string .

tel:toSignal a owl:DatatypeProperty ;
    rdfs:domain tel:RouteSection ;
    rdfs:range xsd:string .

<https://gitlab.hpi.de/osm/flexidug/models/flexidug> a owl:Ontology ;
    dcterms:creator <https://www.researchgate.net/profile/Dirk_Friedenberger>,
        "Dirk Friedenberger" ;
    dcterms:description "A rdf Ontology for FlexiDug data model definition."@en ;
    dcterms:identifier "http://osm.hpi.de/ontology/flexidug#" ;
    dcterms:title "FlexiDug Data Model Ontology" ;
    owl:versionInfo "0.0.4" .

tel:InfrastructureModel a owl:Class ;
    rdfs:comment "A infrastructure model."@en ;
    rdfs:subClassOf tel:DataModel .

tel:PlanProModel a owl:Class ;
    rdfs:comment "PlanPro model file."@en ;
    rdfs:subClassOf tel:DataModel .

tel:SimulatorModel a owl:Class ;
    rdfs:comment "A simulator model."@en ;
    rdfs:subClassOf tel:DataModel .

tel:StationModel a owl:Class ;
    rdfs:comment "Station model."@en ;
    rdfs:subClassOf tel:DataModel .

tel:TrackModel a owl:Class ;
    rdfs:comment "A track model."@en ;
    rdfs:subClassOf tel:DataModel .

tel:AutomaticTrainsModel a owl:Class ;
    rdfs:comment "Automatic trains model."@en ;
    rdfs:subClassOf tel:DataModel .

tel:VoiceProtocolOptionsModel a owl:Class ;
    rdfs:comment "Voice protocol options model."@en ;
    rdfs:subClassOf tel:DataModel .

tel:Track a owl:Class ;
    rdfs:comment "A track in railway network."@en .

tel:Station a owl:Class ;
    rdfs:comment "A station."@en .

tel:Infrastructure a owl:Class ;
    rdfs:comment "A railway infrastructure element."@en .

tel:RouteSection a owl:Class ;
    rdfs:comment "A section of route."@en .

tel:DataModel a owl:Class ;
    rdfs:comment "An abstract data model."@en .

